#### D.6.13.18 spsemicont

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  spsemicont(sp0,sp,k[,1]); list sp0, list sp

Return:

      list l;
        intvec l[i];  if the spectra sp0 occur with multiplicities k
                      in a deformation of a [quasihomogeneous] singularity
                      with spectrum sp then k<=l[i]

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    list sp0=list(ideal(-1/2,-3/10,-1/10,0,1/10,3/10,1/2),intvec(1,2,2,1,2,2,1));
    spprint(sp0);
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)
    list sp1=list(ideal(-1/6,1/6),intvec(1,1));
    spprint(sp1);
    ==> (-1/6,1),(1/6,1)
    list sp2=list(ideal(-1/3,0,1/3),intvec(1,2,1));
    spprint(sp2);
    ==> (-1/3,1),(0,2),(1/3,1)
    list sp=sp1,sp2;
    list l=spsemicont(sp0,sp);
    l;
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    2,1
    spissemicont(spsub(sp0,spmul(sp,l[1])));
    ==> 1
    spissemicont(spsub(sp0,spmul(sp,l[1]-1)));
    ==> 1
    spissemicont(spsub(sp0,spmul(sp,l[1]+1)));
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.